Subject: Re: [PATCH] dtc: supply a definition for YYRHSLOC if there isn't one

From: Paul Gortmaker <[email-masked]>
Date: Thu, 17 Jul 2008 10:02:48 -0400

David Gibson wrote:
> On Wed, Jul 16, 2008 at 01:53:57PM -0400, Paul Gortmaker wrote:
>   
>> It seems that some machines, like a default RHEL4 install, will
>> not have a definition for YYRHSLOC, and that prevents building
>> dtc.  This supplies what appears to be the standard definition
>> for it in the event that the host system does not have it defined.
>>     
>
> I'm pretty uneasy about this, since it relies on knowing the internals
> of how bison manages its tokens.  What version of bison is it in RHEL4
> that causes the trouble?
>   

Right -- well, I trust your judgment on something like that more than
my own.   The version in question is "bison (GNU Bison) 1.875c".

When I was digging around, the definitions all pretty much came back
with the one I'd used, but I do understand your concern.

> In fact I have a feeling that the extra 'file' field in YYLTYPE never
> gets used, which means we could just ditch our custom YYLLOC_DEFAULT
> definition, which would be a better idea, IMO, except that we'll
> probably want the file info back at some point.
>
> Ick.
>   

Sorry to be the bearer of bad news   :-)   If you have an alternate fix that
you'd like me to test, I'd be happy to do so;  I've still access to the old
machine on which the problem report was 1st bounced to me from.  If I
tried to fix it in any other way than what I did, I'd probably hurt 
myself...

Paul.